aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d/init.d/netfs
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2008-09-23 15:43:44 -0400
committerBill Nottingham <notting@redhat.com>2008-09-23 15:43:44 -0400
commitd027a8366d22b2aa7a54ef8c030fff4024bdd5b9 (patch)
tree8f9c0dd361de069ef36a4dfd76533c44341d640c /rc.d/init.d/netfs
parentf9cfaa365ee15b7cb4585f5220702ac5f39c2743 (diff)
downloadinitscripts-d027a8366d22b2aa7a54ef8c030fff4024bdd5b9.tar
initscripts-d027a8366d22b2aa7a54ef8c030fff4024bdd5b9.tar.gz
initscripts-d027a8366d22b2aa7a54ef8c030fff4024bdd5b9.tar.bz2
initscripts-d027a8366d22b2aa7a54ef8c030fff4024bdd5b9.tar.xz
initscripts-d027a8366d22b2aa7a54ef8c030fff4024bdd5b9.zip
Just use plymouth directly, not the rhgb-client wrapper.
This fixes the fact that the semantics of --details changed.
Diffstat (limited to 'rc.d/init.d/netfs')
-rwxr-xr-xrc.d/init.d/netfs8
1 files changed, 4 insertions, 4 deletions
diff --git a/rc.d/init.d/netfs b/rc.d/init.d/netfs
index 0a30f0e6..4a568095 100755
--- a/rc.d/init.d/netfs
+++ b/rc.d/init.d/netfs
@@ -70,11 +70,11 @@ case "$1" in
fi
if [ "$rc" -gt 1 ]; then
- if [ -x /usr/bin/rhgb-client ] && /usr/bin/rhgb-client --ping ; then
- /usr/bin/rhgb-client --details=yes >/dev/null 2>&1
+ if [ -x /usr/bin/plymouth ] && /usr/bin/plymouth --ping ; then
+ /usr/bin/plymouth --hide-splash
fi
-` ` failure "$STRING"
-` ` tty >/dev/null 2>&1 || exit 1
+ failure "$STRING"
+ tty >/dev/null 2>&1 || exit 1
echo
echo
echo $"*** An error occurred during the file system check."